#
# spec file for package ghc-hslua
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name hslua

Name:           ghc-hslua
Version:        0.4.1
Release:        3.4
Summary:        A Lua language interpreter embedding in Haskell
License:        MIT
Group:          System/Libraries

Url:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-mtl-devel
# End cabal-rpm deps
%if 0%{?suse_version} == 1110
BuildRequires:  lua-devel
%else
BuildRequires:  lua51-devel
%endif
BuildRequires:  pkgconfig

%description
The Scripting.Lua module is a wrapper of Lua language interpreter as described
in www.lua.org.


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}
%if 0%{?sles_version}
Requires:       lua-devel
%else
Requires:       lua51-devel
%endif

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}

%build
%define cabal_configure_options -f system-lua
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc COPYRIGHT

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Sun Sep 13 2015 mimi.vx@gmail.com
- update to 0.4.1
  * Bugfix: tolist wasn't popping elements of the list from stack.
* Fri Aug  7 2015 mimi.vx@gmail.com
- update to 0.4.0
  * pushstring and tostring now uses ByteString instead of [Char].
  * StackValue [Char] instance is removed, StackValue ByteString is added.
  * StackValue a => StackValue [a] instance is added. It pushes a Lua array to the stack. pushlist,
  islist and tolist functions are added.
  * Type errors in Haskell functions now propagated differently. See the Scripting.Lua
  documentation for detailed explanation. This should fix segfaults reported several times.
  * lua_error function is removed, it's never safe to call in Haskell.
  * Pkgconf-based setup removed. Cabal is now using extra-libraries to link with Lua.
  * luajit flag is added to link hslua with LuaJIT.
* Tue Apr 21 2015 mimi.vx@gmail.com
- update to 0.3.13
  * `pushrawhsfunction` and `registerrawhsfunction` functions are added.
  * `luaL_ref` and `luaL_unref` functions are added.
* Tue Apr  7 2015 peter.trommler@ohm-hochschule.de
- update to 0.3.9
- drop include-lua_neutralize_longjmp.patch
  * fixed upstream
* Wed Mar 26 2014 peter.trommler@ohm-hochschule.de
- fix license tag
  * license file contradicts license tag in cabal file
* Fri Nov  1 2013 sbahling@suse.com
- Proper lua-devel BuildRequires for SLE_11
* Mon Oct 21 2013 sbahling@suse.com
- include-lua_neutralize_longjmp.patch:
  Include custom lua_neutralize_longjmp function when compiling
  using system lua libraries.
* Mon Oct 21 2013 sbahling@suse.com
- Use lua51. Pandoc needs 5.1 API.
* Fri Oct 18 2013 peter.trommler@ohm-hochschule.de
- use system provided lua library
* Sun Oct  6 2013 sbahling@suse.com
- Intial package - version 0.3.7
